/* https://fontawesome.com/v4/icons/

DOCUMENT AND WALLPAPER*/

* {
    margin: 0;
    padding: 0;
    font-family:Verdana, Geneva, Tahoma, sans-serif;
    font-size: 11px;
    scrollbar-color: rgba(255, 255, 255, 0.452) rgba(255, 255, 255, 0.158);
    scrollbar-width: none;
}

html,
body {
    scroll-behavior: smooth;
}

@media (max-width: 800px) {
    html,
    body {
        overflow: hidden;
    }
}

body {
    margin: 0;
    padding: 0;
    background-color: black;
}

#background {
    height: 100vh;
}

#wallpaper {
    background-image: url('img/bg.jpg');
    background-size: cover;
    height: 100%;
    width: 100%;
    position: absolute;
}


/* TASKBAR & TIME*/

.taskbar {
    position: absolute;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.62);
    height: 40px;
    width: 100vw;
    text-align: center;
    font-size: 15px;
    display: flex;
    margin: auto;
    z-index: 11;
}

.moreoptionsbutton{
    background-color: transparent; 
    border: none;
    
}

.batterystatus, .volume, .wifi, .moreoptions{
    margin: 5px;
    height: 30px;
    width: 20px;
    color: white;
    
}
.batterystatus i, .volume i, .wifi i, .moreoptions i{
    transform: translateY(75%);
}
.timebutton {
    margin: 5px;
    height: 30px;
    width: 80px;
    color: #fff;
    position: relative;
    text-align: center;
    cursor: default;
}

.language {
    margin: 5px;
    padding-left: 5px;
    padding-right: 5px;
    height: 30px;
    width: 25px;
    color: #fff;
    position: relative;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: default;
}
#weatherapp {
    margin: 5px;
    padding-left: 5px;
    padding-right: 5px;
    height: 30px;
    width: 25px;
    color: #fff;
    position: relative;
    left: 25px;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

#icontype {
    margin: 5px;
    padding-left: 5px;
    padding-right: 5px;
    height: 30px;
    width: 25px;
    color: #fff;
    position: relative;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor:pointer;
}

.timebutton:hover,
#icontype:hover,
.language:hover,
.batterystatus:hover, .volume:hover, .wifi:hover, .moreoptions:hover, .moreoptions:hover {
    background-color: rgba(63, 63, 63, 0.62);
}

/* Hide Taskbars */
.innerstartmenu3::-webkit-scrollbar {
    display: none;
  }

#innerstartmenu2_list::-webkit-scrollbar {
    display: none;
}

.innerstartmenu3_icons_holder::-webkit-scrollbar {
    display: none;
}

.innerstartmenu2::-webkit-scrollbar {
    display: none;
}

.innerstartmenu2::-webkit-scrollbar {
    display: none;
}

#biostext::-webkit-scrollbar {
    display: none;
}

iframe::-webkit-scrollbar {
    display: none;
}
/* START-MENU */

#contextmenu{
    min-width: 220px;
    height: fit-content;
    background-color: rgba(0, 0, 0, 0.62);
    position: absolute;
    z-index: 20;
    display: none;
    border-radius: 8px;
}
#moreoptionsmenu{
    width: 220px;
    min-height: 100px;
    height: fit-content;
    background-color: rgba(0, 0, 0, 0.62);
    position: absolute;
    z-index: 20;
    display: none;
    border-radius: 8px;
    
}
.properties{
    padding: 5px;
}

.moreoptionsproperties{
    padding: 5px;

}

.properties button  h1, .moreoptionsproperties button  h1{
    font-family:Arial, Helvetica, sans-serif;
    font-weight: lighter;
    font-size: 15px !important;
}
.properties button i{
    width: 25px;
}
.properties button, .moreoptionsproperties button{
    background: none;
    color: white;
    border: none;
    width: 100%;
    text-align: start;
    padding: 5px 5px;
    border-radius: 5px;
}
.moreoptionsproperties button{
  width: 35px;
  height: 35px;
  
}
.properties button:hover{
    background-color: rgba(150, 150, 150, 0.253);
  
}

#startmenu {
    border: 1px solid rgb(75, 75, 75);
    border-radius: 15px;
    background-color: rgba(0, 0, 0, 0.62);
    height: fit-content;
    width: fit-content;
    min-width: 550px;
    text-align: center;
    display: flexbox;
    margin-right: auto;
    margin-left: auto;
    margin-top: auto;
    margin-bottom: 52px;
    z-index: 10;
    animation: shrink 0.63s forwards 1, move 0.53s forwards 1;
    flex-direction: column-reverse;
}

#startbutton{
   
    margin: 5px;
    height: 30px;
    width: 30px;
    background-size: cover;
    background-image: url('img/fra.png');
    display: flex;
    flex-direction: column;
    position: relative;
    
}

nav ul {
    width: 100%;
    min-width: 200px;
}

nav ul {
    overflow: hidden;
    overflow-y: scroll;
}

ul li {
    display: flex;
}

#weatherappbox{
    position: absolute;
    background-color: rgba(255, 255, 255, 0.62);
    padding: 15px;
    flex-direction: column;
    height: 55vh;
    width: fit-content;
    min-width: 50px;
    display: flex;
    
    left: 0px;
    bottom: 45px;
    z-index: 500;
    justify-content: center;
    justify-items: center;
    /*transition: all .2s ease-in-out;*/
    animation: fade 0.5s forwards 1, shrink 0.53s forwards 1, move 0.53s forwards 1;
    
}

.searchbar {
    position: relative;
    background-color: rgba(0, 0, 0, 0.25);
    height: fit-content;
    width: 100%;
    top: 0px;
    padding-top: 20px;
    padding-bottom: 20px;
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
    
    text-align: center;
    display: flex;
    justify-content: center;
    /*transition: all .2s ease-in-out;*/
    animation: fade 0.5s forwards 1, shrink 0.53s forwards 1, move 0.53s forwards 1;
}
.searchbar_holder {
    position: relative;
    background-color: rgba(0, 0, 0, 0.62);
    height: fit-content;
    width: 100%;
    top: 0px;
    text-align: center;
    
    display: flex;
    justify-content: center;
    border-radius: 35px;
    margin: 10px;
    padding-left: 10px;
    border: 1px solid rgb(61, 61, 61);
    /*transition: all .2s ease-in-out;*/
    animation: fade 0.5s forwards 1, shrink 0.53s forwards 1, move 0.53s forwards 1;
}
.searchbar input[type=text]:focus{
    outline: none;
}

.searchbar input[type=text] {
    float: right;
    padding: 6px;
    border: none;
    margin-top: 8px;
    margin-right: 16px;
    font-size: 14px;
    font-family:Arial, Helvetica, sans-serif;
    width: inherit;
    background: #dddddd00;
    color: #ccc;
  }
.searchbar button {
    float: right;
    padding: 6px 6px;
    background: #dddddd00;
    font-size: 17px;
    border: none;
    cursor: pointer;
    color: white;
}

.startbootbuttons {
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
    position: relative;
    background-color: rgba(0, 0, 0, 0.62);
    height: 5vh;
    width: 100%;
    bottom: 0px;
    text-align: center;
    display: flex;
    flex-direction: row-reverse;
    /*transition: all .2s ease-in-out;*/
    animation: fade 0.5s forwards 1, shrink 0.53s forwards 1, move 0.53s forwards 1;
}

.innerstartmenu2 {
    transform: translateX(150px);
    position: relative;
    background-color: rgba(0, 0, 0, 0.22);
    overflow: scroll;
    height: 350px;
    width: 100%;
    text-align: center;
    display: flex;
    flex-direction: row;
    animation: fade 0.55s forwards 1, shrink 0.58s forwards 1, movequick 0.3s forwards 1;
}

#innerstartmenu2_list {
    padding-left: 50px;
    top: 0;
}

li p {
    text-align: center;
    color: rgba(255, 255, 255, 0.627);
    display: table-cell;
    margin: 10px;
    vertical-align: middle;
}

.innerstartmenu3 {
    
    position: relative;
    width: 100%;
     height: 100%;
     min-height: 150px;
    display: flex;
    flex-direction: row;
    overflow-y: scroll;
    overflow-x: hidden;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-evenly;
    padding-top: 0px;
    column-gap: 5px;
    row-gap: 5px;
    animation: fade 0.6s forwards 1, shrink 0.63s forwards 1, move 0.63s forwards 1;
  
}

@keyframes fade {
    from {
        opacity: 0.25;
    }
    to {
        opacity: 1;
    }
}

@keyframes shrink {
    from {
        transform: scale(0.75);
    }
    to {
        transform: scale(1);
    }
}

@keyframes move {
    from {
        transform: translateY(5%)
    }
    to {
        transform: translateY(0%)
    }
}

@keyframes movequick {
    from {
        transform: translateY(15%)
    }
    to {
        transform: translateY(0%)
    }
}

@media only screen and (max-width: 600px) {
    .innerstartmenu3 {
        width: 100%;
    }
    .innerstartmenu3_icons_holder {
        width: fit-content;
    }
    #startmenu {
        min-width: 0;
        width: 98vw;
    }
}

@media only screen and (max-height: 600px) {
    .innerstartmenu3 {
        height: 58vh;
    }
}

@media only screen and (max-width: 400px) {
    nav ul {
        width: fit-content;
        min-width: 12vw;
    }
}


/* WINDOW & RESIZE */

.closewindow {
    height: 25px;
    width: 25px;
    padding: 0px;
    border-radius: 5px;
    cursor: pointer;
    position: absolute;
    right: 5px;
    font-size: large;
}

.fullwindow {
    height: 25px;
    width: 25px;
    padding: 0px;
    border-radius: 5px;
    cursor: pointer;
    position: absolute;
    right: 35px;
    font-size: large;
}

.window {
    position: absolute;
    z-index: 9;
    background-color: #f1f1f1;
    text-align: center;
    padding: 0px;
    min-width: 150px;
    min-height: 250px;
    transform: translate(15%, 5%);
    width: 80vw;
    height: 70vh;
    max-height: 100vh;
    max-width: 100vw;
    pointer-events: auto;
}

.windowtaskbar {
    padding: 5px;
    cursor: move;
    z-index: 10;
    background-color: #0f0f0fd7;
    color: #fff;
    display: flex;
    flex-direction: row;
    height: 30px;
}

#resizeside {
    background-color: #ccc;
    position: relative;
    float: right;
    left: 0;
    width: 4px;
    height: calc(100% - 40px);
    cursor: w-resize;
}

#resizeup {
    background-color: rgb(143, 25, 25);
    position: relative;
    float: right;
    width: 100%;
    height: 4px;
    cursor: s-resize;
}

iframe {
    pointer-events: none;
}


/* BOOTLOADER AND PROGRESS */

.bootloader {
    position: relative;
    z-index: 200;
    height: 100vh;
    width: 100vw;
    background-color: rgba(0, 0, 0);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

#progressbarbackground {
    position: relative;
    width: 40%;
    display: none;
}

#bootloaderprogressbar {
    position: relative;
    background-color: rgb(129, 129, 129);
    align-self: center;
    height: 24px;
    width: 3%;
    justify-content: right;
    align-content: top;
}

#loadingProgress {
    position: relative;
    color: #f1f1f1;
    align-self: center;
    height: 24px;
    width: 3%;
    margin-bottom: 20px;
    float: right;
    padding-right: 50px;
}

#loadingText {
    color: #f1f1f1;
    align-self: center;
    height: 24px;
    width: 550px;
    padding: 2px;
    text-align: center;
}

#progressstart,
#progressskip {
    margin-bottom: 20px;
    position: relative;
    color: #000000;
    align-self: center;
    height: 35px;
    width: 100px;
    justify-content: center;
    align-items: center;
    background-color: rgb(252, 252, 252);
    border: none;
    border-radius: 25px;
    text-transform: uppercase ;
    color: rgb(0, 0, 0);
    font-family: fantasy;
    cursor: pointer;
    transition: 1s;
}
#progressstart:hover,
#progressskip:hover,
#deletelocal:hover {
transform: scale(1.1);
}

#deletelocal{
    padding: 5px;
    color: white;
    background-color: green;
    text-transform: uppercase ;
    font-family: fantasy;
    border: none;
    border-radius: 25px;
    cursor: pointer;
    transition: 1s;
}

.startlogo {
    margin: 1vw;
    height: 600px;
    width: 600px;
    cursor: pointer;
    z-index: 100;
    background-size: cover;
    background-image: url('img/startlogo1.png');
    bottom: 75vh;
}

@media only screen and (max-width: 600px) {
    .startlogo {
        height: 600px;
        width: 600px;
    }
}


/* ICONS */

.container {
    position: absolute;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    flex-direction: row;
    padding: 25px;
    column-gap: 25px;
    row-gap: 50px;
    margin-bottom: 0px;
    overflow: scroll;
    height: fit-content;
    max-height: 85%;
    /*column-gap: 1vh;
    row-gap: 1vw;*/
}

.container>div {
    display: table-row;
}

.div-table-col {
    float: left;
    /* fix for  buggy browsers */
    display: table-column;
    /*width: 200px;*/
    background-color: #ccc;
}

.desktopicons {
    z-index: 5;
    min-width: 75px;
    min-height: 75px;
    width: 100px;
    height: 100px;
    pointer-events: auto;
    border-radius: 25px;
}

.taskbaricons {
    margin: 5px;
    height: 30px;
    width: 30px;
}


.startbootbuttons_icons {
    height: 20px;
    width: 20px;
    margin: 10px;
    background-size: cover;
    background-image: url('img/folder.png');
    cursor: pointer;
    z-index: 100;
    border-radius: 5px;
}

.innerstartmenu2_icons {
    margin: 0.5vw;
    height: 25px;
    width: 25px;
    cursor: pointer;
    z-index: 100;
}

.innerstartmenu3_icons_holder {
    z-index: 4;
    max-width: fit-content;
    min-height: 65px;
    height: 5vw;
    pointer-events: auto;
    /*background-color: rgb(48, 48, 48);*/
    color: whitesmoke;
    font-size: 14px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    overflow-y: hidden;
}

.innerstartmenu3_icons {
    z-index: 5;
    min-width: 50px;
    min-height: 50px;
    width: 2vw;
    height: 2vw;
    pointer-events: auto;
}

.innerstartmenu3_icons_text {
    z-index: 5;
    min-width: 50px;
    min-height: 50px;
    width: 2vw;
    height: 2vw;
    pointer-events: auto;
    text-align: start;
}

@media only screen and (max-width: 400px) {
    .startbootbuttons_icons {
        min-width: 25px;
        min-height: 25px;
        overflow: scroll;
    }
    .innerstartmenu3_icons {
        min-width: 65px;
        min-height: 65px;
        overflow: scroll;
    }
    .innerstartmenu2_icons {
        min-width: 35px;
        min-height: 35px;
        overflow: scroll;
    }
    .innerstartmenu2 {
        background-color: rgba(0, 0, 0, 0.82);
    }
    .innerstartmenu3_icons_holder {
        min-width: 50px;
        min-height: 50px;
        overflow: scroll;
        font-size: 8px;
        border-radius: 5px;
    }
    .innerstartmenu3_icons {
        min-width: 25px;
        min-height: 50px;
        overflow: scroll;
    }
    #taskbarspace{
        padding-left: 25px !important;
    }
    /*
    .container {
        column-gap: 15px;
        row-gap: 15px;
        justify-content: start;
    }
    */
}


/* ICON HOVER */
.innerstartmenu3_icons_holder:hover,
.innerstartmenu2_icons:hover{
    border: none !important;
    filter: contrast(120%);
    transition: 3s;
}

.startbootbuttons_icons:hover,
.desktopicons:hover,
.taskbaricons:hover,
#startbutton:hover {
    filter:opacity(0.5)
}

.innerstartmenu2_icons_text {
    display: table;
    cursor: default;
}

#taskbarspace {
    height: fit-content;
    width: fit-content;
    display: flex;
    flex-direction: row;
    margin: auto;
    padding-left: 163px;
position: relative;
}

.innerstartmenu3_icons_holder:hover {
    border: 1px solid rgb(0, 0, 0);
  
}

.downloadelement,
.downloadElemetSpace {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    background-color: rgb(223, 223, 223);
    border-radius: 25px;
    padding: 10px;
    align-content: center;
    flex-wrap: wrap;
    margin: 10px;
}

.downloadName {
    min-width: 100%;
}

.downloaddescription {
    min-width: 100%;
}

.downloadprogressbar {
    height: 24px;
    width: 1%;
    max-width: 100%;
    background-color: cadetblue;
    border-radius: 25px;
}

.downloadbutton {
    background-color: cadetblue;
    color: whitesmoke;
    border: 1px solid white;
    border-radius: 25px;
    padding: 10px;
    cursor: pointer;
    min-width: 65px;
    /*margin-right: 20px;*/
}

.downloadLogo {
    width: 50px;
    height: 50px;
    min-width: 50px;
    min-height: 50px;
    justify-self: start;
}

.downloaditem {
    width: 50%;
    display: flex;
    flex-direction: row;
    align-items: center;
    align-content: center;
    position: relative;
    margin: 10px;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

.downloaditemProgress {
    width: 40%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: start;
    align-content: center;
    position: relative;
    margin: 10px;
    margin-right: 10px;
}

.spaceout>div {
    margin-left: 20px;
}

.downloadProgress {
    text-align: center;
    position: relative;
    color: #000000;
    align-self: center;
    height: 24px;
    width: 100%;
    float: right;
    padding-right: 50px;
    font-size: 20px;
}

#downloadHolder {
    overflow: scroll;
    height: 100vh;
}